cascading.flow.stream.element

## Class MergeStage

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.ElementStage<TupleEntry,TupleEntry>
      - - cascading.flow.stream.element.MergeStage

All Implemented Interfaces:
  Collapsing, ElementDuct

    public class MergeStage
    extends ElementStage<TupleEntry,TupleEntry>
    implements Collapsing

### Field Summary

Fields
`protected java.util.concurrent.atomic.AtomicInteger` `completeCount`

### Fields inherited from class cascading.flow.stream.element.ElementStage

`branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

### Fields inherited from class cascading.flow.stream.duct.Duct

`next`

### Constructor Summary

Constructors
Constructor and Description
`MergeStage(FlowProcess flowProcess, FlowElement flowElement)`

### Method Summary

Methods
`void` `bind(StreamGraph streamGraph)`
`void` `complete(Duct previous)`
`void` `initialize()` Called immediately after bind
`void` `start(Duct previous)`

### Methods inherited from class cascading.flow.stream.element.ElementStage

`cleanup, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

### Methods inherited from class cascading.flow.stream.duct.Stage

`receive`

### Methods inherited from class cascading.flow.stream.duct.Duct

`getNext, getNextFor, prepare, receiveFirst`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### completeCount

    protected final java.util.concurrent.atomic.AtomicInteger completeCount

### Constructor Detail

#### MergeStage

    public MergeStage(FlowProcess flowProcess,
              FlowElement flowElement)

### Method Detail

#### bind

    public void bind(StreamGraph streamGraph)

Overrides:
  `bind` in class `Duct<TupleEntry,TupleEntry>`

#### initialize

    public void initialize()

Description copied from class: `Duct`
Called immediately after bind

Overrides:
  `initialize` in class `Duct<TupleEntry,TupleEntry>`

#### start

    public void start(Duct previous)

Overrides:
  `start` in class `Duct<TupleEntry,TupleEntry>`

#### complete

    public void complete(Duct previous)

Overrides:
  `complete` in class `Duct<TupleEntry,TupleEntry>`